Package com.google.android.exoplayer2.source

## Class DefaultCompositeSequenceableLoaderFactory

- java.lang.Object
- - com.google.android.exoplayer2.source.DefaultCompositeSequenceableLoaderFactory

- All Implemented Interfaces:
    `CompositeSequenceableLoaderFactory`

      public final class DefaultCompositeSequenceableLoaderFactory
      extends Object
      implements CompositeSequenceableLoaderFactory

  Default implementation of `CompositeSequenceableLoaderFactory`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultCompositeSequenceableLoaderFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SequenceableLoader` | `createCompositeSequenceableLoader​(SequenceableLoader... loaders)` | Creates a composite `SequenceableLoader`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCompositeSequenceableLoaderFactory

          public DefaultCompositeSequenceableLoaderFactory()

  - ### Method Detail

    - #### createCompositeSequenceableLoader

          public SequenceableLoader createCompositeSequenceableLoader​(SequenceableLoader... loaders)

      Description copied from interface: `CompositeSequenceableLoaderFactory`
      Creates a composite `SequenceableLoader`.
      Specified by:
        `createCompositeSequenceableLoader` in interface `CompositeSequenceableLoaderFactory`
      Parameters:
        `loaders` - The sub-loaders that make up the `SequenceableLoader` to be built.
      Returns:
        A composite `SequenceableLoader` that comprises the given loaders.